********************************************
********************************************
use "Anti-dumping",clear 
**********************TABLE 1**********************
**Column (1)
xtreg DVAR DID, vce(cluster panelid1)
**Column (2)
xtreg DVAR DID ,fe vce(cluster panelid1)
**Column (3)
xtreg DVAR DID  age lnsize  lnkl lnasset,fe vce(cluster panelid1)
**Column (4)
xtreg DVAR DID  age lnsize  lnkl lnasset i.year,fe vce(cluster panelid1)
**********************FIGURE 1**********************
xtreg DVAR pre_4 pre_3 pre_2 current post1 post2 post3  age lnsize  lnkl lnasset  i.year ,fe vce(cluster panelid1) 
coefplot,keep( pre_6 pre_5 pre_4 pre_3 pre_2 current post1 post2 post3 post4  ) coeflabels( pre_6="-6" pre_5 = "-5" pre_4 = "-4" pre_3 = "-3" pre_2 = "-2" current = "0" post1 = "1" post2 = "2" post3 = "3" post4 = "4" ) levels(95) vertical lcolor(black) mcolor(black) msymbol(circle_hollow) ytitle(回归系数, size(small))  ylabel(, labsize(small) angle(horizontal) nogrid) yline(0, lwidth(vthin)lpattern(solid) lcolor(black)) xtitle(政策实施相对年份, size(small)) xlabel(,labsize(small))  graphregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) ciopts(recast(rcap)) addplot(line @b @at) xline(5, lwidth(vthin) lpattern(dash) lcolor(black))
**********************TABLE 2**********************
twowayfeweights DVAR panelid1 year DID  age lnsize  lnkl lnasset,type(feTR)
did_multiplegt DVAR panelid1 year DID , placebo(3) controls(age lnsize  lnkl lnasset) breps(100) seed(1) cluster(panelid1) 
did_imputation DVAR panelid1 year year0, fe(year) controls(age lnsize  lnkl lnasset) cluster(panelid1)
csdid  DVAR age lnsize  lnkl lnasset,ivar(panelid1) time(year) gvar(first_treat) method(dripw) agg(event)
**********************TABLE 3**********************
**Column (1)
xtreg DVAR DID  tariff_2002_post FIE_share SOE_share  age lnsize  lnkl lnasset i.year i.year#i.hylb,fe vce(cluster panelid1)
**Column (2)
xtreg DVAR l.DID   age lnsize  lnkl lnasset  i.year ,fe vce(cluster panelid1)
**Column (3)
xtreg  DVAR DID  age lnsize  lnkl lnasset i.year if _support ==1,fe vce(cluster panelid1)
**Column (4)
xtreg DVAR Finduty_dT age lnsize  lnkl lnasset i.year,fe vce(cluster panelid1)
**Column (5)
xtreg DVAR DID  age lnsize  lnkl lnasset i.year if afg==1,fe vce(cluster panelid1)
**Column (6)
xtreg DVAR1 DID  age lnsize  lnkl lnasset i.year,fe vce(cluster panelid1)
**Column (7)
xtreg DVAR DID_new age lnsize  lnkl lnasset i.year,fe vce(cluster panelid1)
**Column (8)
use fullsample.dta,clear  
xtreg DVAR DID  age lnsize  lnkl lnasset i.year,fe vce(cluster panelid1)
**********************TABLE 4**********************
use "Anti-dumping",clear 
**Column (1)
xtreg DVAR DID1 DID2 age lnsize  lnkl lnasset i.year,fe vce(cluster panelid1)
**Column (2)
xtreg DVAR DID1 DID1_markup markup age lnsize  lnkl lnasset i.year ,fe vce(cluster panelid1)
**Column (3)
xtreg DVAR DID2 DID2_markup  markup age lnsize  lnkl lnasset i.year  ,fe vce(cluster panelid1)
**********************TABLE 5**********************
**Column (1)
xtreg DVAR DID  age lnsize  lnkl lnasset i.year if categary==1,fe vce(cluster panelid1)
**Column (2)
xtreg DVAR DID  age lnsize  lnkl lnasset i.year if categary==0,fe vce(cluster panelid1)
**Column (3)
xtreg DVAR DID  age lnsize  lnkl lnasset i.year if  proxy_type==1,fe vce(cluster panelid1)
**Column (4)
xtreg DVAR DID  age lnsize  lnkl lnasset i.year if  proxy_type==0,fe vce(cluster panelid1)
**********************TABLE 6**********************
**Column (1)
xtreg DVAR DID  age lnsize  lnkl lnasset  i.year if ownership==0 & foreign==0,fe vce(cluster panelid1) 
**Column (2)
xtreg DVAR DID  age lnsize  lnkl lnasset  i.year if ownership==1 & foreign==0,fe vce(cluster panelid1) 
**Column (3)
xtreg DVAR DID  age lnsize  lnkl lnasset  i.year if trademode==1   ,fe vce(cluster panelid1) 
**Column (4)
xtreg DVAR DID  age lnsize  lnkl lnasset  i.year if trademode==0   ,fe vce(cluster panelid1) 
**Column (5)
xtreg DVAR DID  age lnsize  lnkl lnasset  i.year if lnlabp_type==0  ,fe vce(cluster panelid1)  
**Column (6)
xtreg DVAR DID  age lnsize  lnkl lnasset  i.year if lnlabp_type==1   ,fe vce(cluster panelid1)
**********************APPENDIX A1**********************
**Column (1)
xtreg DVAR DID1 DID2 age lnsize  lnkl lnasset i.year,fe vce(cluster panelid1)
**Column (2)
xtreg  DVAR DID1 DID2  age lnsize  lnkl lnasset i.year if quantity_type==1,fe vce(cluster panelid1)
**Column (3)
xtreg  DVAR DID1 DID2  age lnsize  lnkl lnasset i.year if quantity_type==0 ,fe vce(cluster panelid1)
